Package com.smartgwt.client.widgets.drawing

# Class RadialGradient

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.drawing.Gradient
com.smartgwt.client.widgets.drawing.RadialGradient

All Implemented Interfaces:
  `HasHandlers`

public class RadialGradient extends Gradient
Definition of a radial gradient.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadialGradient()`
  `RadialGradient(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCx()`
  x coordinate of outer radial
  `String`
  `getCy()`
  y coordinate of outer radial
  `String`
  `getFx()`
  x coordinate of inner radial
  `String`
  `getFy()`
  y coordinate of inner radial
  `static RadialGradient`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getR()`
  radius
  `RadialGradient`
  `setCx(String cx)`
  x coordinate of outer radial
  `RadialGradient`
  `setCy(String cy)`
  y coordinate of outer radial
  `RadialGradient`
  `setFx(String fx)`
  x coordinate of inner radial
  `RadialGradient`
  `setFy(String fy)`
  y coordinate of inner radial
  `RadialGradient`
  `setR(String r)`
  radius

  ### Methods inherited from class com.smartgwt.client.widgets.drawing.Gradient

  `getColorStops, getDirection, getEndColor, getId, getStartColor, setColorStops, setDirection, setEndColor, setId, setStartColor`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RadialGradient

    public RadialGradient()

  - ### RadialGradient

    public RadialGradient(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static RadialGradient getOrCreateRef(JavaScriptObject jsObj)

  - ### setCx

    public RadialGradient setCx(String cx)
    x coordinate of outer radial
    Parameters:
      `cx` - New cx value. Default value is null
    Returns:
      `RadialGradient` instance, for chaining setter calls

  - ### getCx

    public String getCx()
    x coordinate of outer radial
    Returns:
      Current cx value. Default value is null

  - ### setCy

    public RadialGradient setCy(String cy)
    y coordinate of outer radial
    Parameters:
      `cy` - New cy value. Default value is null
    Returns:
      `RadialGradient` instance, for chaining setter calls

  - ### getCy

    public String getCy()
    y coordinate of outer radial
    Returns:
      Current cy value. Default value is null

  - ### setFx

    public RadialGradient setFx(String fx)
    x coordinate of inner radial
    Parameters:
      `fx` - New fx value. Default value is null
    Returns:
      `RadialGradient` instance, for chaining setter calls

  - ### getFx

    public String getFx()
    x coordinate of inner radial
    Returns:
      Current fx value. Default value is null

  - ### setFy

    public RadialGradient setFy(String fy)
    y coordinate of inner radial
    Parameters:
      `fy` - New fy value. Default value is 0
    Returns:
      `RadialGradient` instance, for chaining setter calls

  - ### getFy

    public String getFy()
    y coordinate of inner radial
    Returns:
      Current fy value. Default value is 0

  - ### setR

    public RadialGradient setR(String r)
    radius
    Parameters:
      `r` - New r value. Default value is null
    Returns:
      `RadialGradient` instance, for chaining setter calls

  - ### getR

    public String getR()
    radius
    Returns:
      Current r value. Default value is null